(function($, globals) {

	"use strict";

	var MyAMS = globals.MyAMS;

	var PyAMS_media = {

		initPlayer: function() {
			var player = $(this);
			MyAMS.dialog.registerShownCallback(PyAMS_media.initPlayerDialog, player);
			var flowplayer = player.flowplayer();
			var events = player.data('ams-flowplayer-events');
			if (events) {
				for (var event in events) {
					if (!events.hasOwnProperty(event)) {
						continue;
					}
					flowplayer.on(event, MyAMS.getFunctionByName(events[event]));
				}
			}
			MyAMS.dialog.registerHideCallback(PyAMS_media.shutdownPlayerDialog, player);
		},

		initPlayerDialog: function() {
			var dialog = $(this);
			$('.modal-viewport', dialog).removeAttr('style')
										.removeClass('modal-viewport');
		},

		getPlayerTime: function(e, api) {
			var parent = $(this);
			var player = parent.data('flowplayer');
			if (player.playing) {
				return;
			}
			var video = player.video;
			if (!video.time && player.conf.flowplayer) {
				video = player.conf.flowplayer.video;
			}
			if (video && video.time) {
				var position = video.time;
				var form = parent.parents('form');
				$('INPUT[name="form.widgets.time"]', form).val(position);
			}
		},

		shutdownPlayerDialog: function() {
			var dialog = $(this);
			var player = $('.flowplayer', dialog).data('flowplayer');
			player.shutdown();
		}
	};
	globals.PyAMS_media = PyAMS_media;

})(jQuery, this);
